Use the standard autogen name. master
authorMalte S. Stretz <mss@apache.org>
Thu, 14 Oct 2010 11:01:30 +0000 (13:01 +0200)
committerMalte S. Stretz <mss@apache.org>
Thu, 14 Oct 2010 11:01:30 +0000 (13:01 +0200)
autogen [new file with mode: 0755]
configure.sh [deleted file]

diff --git a/autogen b/autogen
new file mode 100755 (executable)
index 0000000..4e111ed
--- /dev/null
+++ b/autogen
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -e
+mkdir -p `sed -e '/AC_CONFIG_.*_DIR/!d;s/^.*\[\([^]]*\)\]*.*$/\1/' configure.ac`
+autoreconf -i --force
diff --git a/configure.sh b/configure.sh
deleted file mode 100755 (executable)
index a79cebe..0000000
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-mkdir -p autom4te.files
-autoreconf -i || exit $?
-exec ./configure "$@"